Bug 976042 - source rpms are being treated as rpms
source rpms are being treated as rpms
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: rpm-support (Show other bugs)
2.2 Beta
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 2.2.0
Assigned To: Michael Hrivnak
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-19 15:36 EDT by Jeremy Cline
Modified: 2013-09-10 11:45 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-10 11:45:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy Cline 2013-06-19 15:36:00 EDT
Description of problem: Syncing a repo with srpms places them in the rpm section of rpm repo content and remove. I tested using the test_srpm_repo on fedorapeople.org, so there is a chance that they are not actually srpms.


Version-Release number of selected component (if applicable): pulp-rpm-yumplugins-2.2.0-0.4.beta.fc18.noarch


How reproducible:


Steps to Reproduce:
1. pulp-admin rpm repo create --repo-id=test_srpm --feed=http://repos.fedorapeople.org/repos/pulp/pulp/demo_repos/test_srpm_repo/
2. pulp-admin rpm repo sync run --repo-id=test_srpm
3. pulp-admin rpm repo content srpm --repo-id=test_srpm
4. pulp-admin rpm repo content rpm --repo-id=test_srpm

Actual results: All the srpm get listed as rpm with an arch of src


Expected results: All the srpm listed under srpm


Additional info:
Comment 1 Michael Hrivnak 2013-07-03 10:32:27 EDT
https://github.com/pulp/pulp_rpm/pull/269
Comment 2 Jeff Ortel 2013-07-03 18:11:19 EDT
build: 2.2.0-18.beta
Comment 3 Jeff Ortel 2013-07-03 18:15:01 EDT
Correction:

build: 2.2.0-0.18.beta
Comment 4 Preethi Thomas 2013-07-10 08:42:09 EDT
verified
[root@ibm-x3550m3-07 ~]# rpm -qa |grep pulp-server
pulp-server-2.2.0-0.20.beta.el6.noarch
[root@ibm-x3550m3-07 ~]# 

[root@ibm-x3550m3-07 ~]#  pulp-admin rpm repo create --repo-id=test_srpm --feed=http://repos.fedorapeople.org/repos/pulp/pulp/demo_repos/test_srpm_repo/
Successfully created repository [test_srpm]

[root@ibm-x3550m3-07 ~]# pulp-admin rpm repo sync run --repo-id=test_srpm
+----------------------------------------------------------------------+
                  Synchronizing Repository [test_srpm]
+----------------------------------------------------------------------+

This command may be exited by pressing ctrl+c without affecting the actual
operation on the server.

Downloading metadata...
[\]
... completed

Downloading repository content...
[==================================================] 100%
RPMs:       3/3 items
Delta RPMs: 0/0 items

... completed

Downloading distribution files...
[==================================================] 100%
Distributions: 0/0 items
... completed

Importing errata...
[-]
... completed

Importing package groups/categories...
[-]
... completed

Publishing packages...
[==================================================] 100%
Packages: 3/3 items
... completed

Publishing distributions...
[==================================================] 100%
Distributions: 0/0 items
... completed

Generating metadata
[-]
... completed

Publishing repository over HTTPS
[-]
... completed

[root@ibm-x3550m3-07 ~]#  pulp-admin rpm repo content srpm --repo-id=test_srpm
Arch:         src
Buildhost:    localhost
Checksum:     54cc4713fe704dfc7a4fd5b398f834ceb6a692f53b0c6aefaf89d88417b4c51d
Checksumtype: sha256
Description:   This is a test rpm
Epoch:        0
Filename:     test-srpm01-1.0-1.src.rpm
License:      GPLv2
Name:         test-srpm01
Provides:     
Release:      1
Requires:     
Vendor:       None
Version:      1.0

Arch:         src
Buildhost:    localhost
Checksum:     f8d675b4edd9933b8c43884c81f3d9f135cdbe741a90133435de0f0632075e4c
Checksumtype: sha256
Description:   This is a test rpm
Epoch:        0
Filename:     test-srpm02-1.0-1.src.rpm
License:      GPLv2
Name:         test-srpm02
Provides:     
Release:      1
Requires:     
Vendor:       None
Version:      1.0

Arch:         src
Buildhost:    localhost
Checksum:     76db66099c0435f245b6dcba545cc8db62765f6e80276e0d66db65c16d8c7bac
Checksumtype: sha256
Description:   This is a test rpm
Epoch:        0
Filename:     test-srpm03-1.0-1.src.rpm
License:      GPLv2
Name:         test-srpm03
Provides:     
Release:      1
Requires:     
Vendor:       None
Version:      1.0


[root@ibm-x3550m3-07 ~]#
Comment 6 Preethi Thomas 2013-09-10 11:45:37 EDT
2.2 released
http://repos.fedorapeople.org/repos/pulp/pulp/stable/2.2/

Note You need to log in before you can comment on or make changes to this bug.